Installation instructions for nftables
======================================

 Prerequisites
 =============

  - standard glibc headers, gcc etc.

  - libmnl: git://git.netfilter.org/libmnl.git

  - libnftnl: git://git.netfilter.org/libnftnl.git

  - flex

  - bison

  - libgmp

  - libreadline

  - pkg-config

  - libtool

  - optional: libxtables: required to interact with iptables-compat

  - optional: docbook2x: required for building man-page

 Configuring and compiling
 =========================

 Run "sh autogen.sh" to generate the configure script, then:

 sh configure [options]

 --prefix=

        The prefix to put all installed files under. It defaults to
        /usr/local, so the binaries will go into /usr/local/bin, sbin,
        manpages into /usr/local/share/man, etc.

 --datarootdir=

	The base directory for arch-independent files. Defaults to
	$prefix/share.

 --disable-debug

	Disable debugging

 --with-mini-gmp

	Use builtin mini-gmp instead of linking with a shared libgmp.
	This is useful for embedded platforms optimizing for size and
	having no other use for libgmp.
	Note: This decreases the debugging verbosity in some files.

 --with-xtables

	For libxtables support to interact with the iptables-compat
	utility.

 Suggested configuration options: --prefix=/ --datarootdir=/usr/share

 Run "make" to compile nftables, "make install" to install it in the
 configured paths.

 Other notes
 ===========

 The nftables kernel tree can be found at:

 git://git.kernel.org/pub/scm/linux/kernel/git/pablo/nftables.git

 The latest version of this code can be found at:

 git://git.netfilter.org/nftables.git
